idris-1.3.4: Functional Programming Language with Dependent Types

License | BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell2010

IRTS.Compiler

Description

Synopsis

- compile :: Codegen -> FilePath -> Maybe Term -> Idris CodegenInfo
- generate :: Codegen -> FilePath -> CodegenInfo -> IO ()

# Documentation

compile :: Codegen -> FilePath -> Maybe Term -> Idris CodegenInfo #

Compile to simplified forms and return CodegenInfo

generate :: Codegen -> FilePath -> CodegenInfo -> IO () #